%mingw_package

%define pkgname wxWidgets

%global _optlevel s

Name: %cross_arch-%pkgname
Version: 2.6.1
Release: alt1

Summary: wxWindows crossplatform GUI library
License: LGPL
Group: System/Libraries
Url: http://www.wxwindows.org

BuildArch: noarch

Source: ftp://ftp.gnu.org/gnu/%pkgname/%pkgname-%version.tar.bz2
Patch1: %name-build.patch

BuildPreReq: i386-mingw32msvc-devel

BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++ i386-mingw32msvc-runtime  
BuildRequires: i386-mingw32msvc-zlib-devel i386-mingw32msvc-libjpeg-devel 
BuildRequires: i386-mingw32msvc-libpng-devel i386-mingw32msvc-libtiff-devel
BuildRequires: recode sed

BuildPreReq: autoconf_2.5 automake_1.7
%set_autoconf_version 2.5
%set_automake_version 1.7

PreReq: i386-mingw32msvc-base

%package -n %cross_arch-%pkgname-devel
Summary: Development library and header files for %pkgname
Group: Development/C++
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%description
This package contains the dynamic %pkgname library for
%cross_arch target.

%package -n %cross_arch-%pkgname-devel-static
Summary: Development static library for %pkgname
Group: Development/C++
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release
Requires: %cross_arch-zlib-devel-static %cross_arch-libpng-devel-static 
Requires: %cross_arch-libjpeg-devel-static %cross_arch-libtiff-devel-static
Requires: %cross_arch-%pkgname-devel

%description devel
This package contains development %pkgname library and headers 
for %cross_arch target.

%description devel-static
This package contains static development %pkgname library 
for %cross_arch target.

%prep
%setup -q -n %pkgname-%version

#find -type f| xargs recode -f /CRLF.. 
#chmod u+x autogen.sh config.* configure install-sh mkinstalldirs regen

%patch1 -p1
pushd ..
%__cp -r %pkgname-%version %pkgname-%version-static
popd
%build
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--enable-shared \
	--enable-xrc \
	--enable-std_string \
	--enable-std_iostreams \
	%cross_env

%make_build

pushd ../%pkgname-%version-static
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--enable-static \
	--disable-shared \
	--enable-xrc \
	--enable-std_string \
	--enable-std_iostreams \
	%cross_env

%make_build
popd 

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir,%_bindir} 

pushd ../%pkgname-%version-static
%make_install install DESTDIR=%buildroot sysbindir=%_bindir
popd 

%make_install install DESTDIR=%buildroot sysbindir=%_bindir

%cross_arch-strip %buildroot/%_archbindir/*.dll

%__rm -rf %buildroot/usr/share
%files
%_archbindir/*.dll

%files devel
%_archlibdir/*.dll.a
%_archlibdir/wx
%_archincludedir/*
%_bindir/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Mon Jun 06 2005 Alexander Borovsky <partizan@altlinux.ru> 2.6.1-alt1
- New version

* Fri Mar 11 2005 Alexander Borovsky <partizan@altlinux.ru> 2.5.4-alt1
- New version
- Rebuild with new %cross_arch-gcc
- Fixed dependences

* Wed Nov 24 2004 Alexander Borovsky <partizan@altlinux.ru> 2.5.3-alt1
- Built for %cross_arch target
